DISABLE TRIGGER [AKUZ].[WORKER_fio] ON AKUZ.T_WORKER
GO


UPDATE t
SET t.[FIO] = t.[LastName] + ' ' + LEFT(t.[FirstName], 1) + '.' + 
    CASE 
        WHEN LEN(NULLIF(LTRIM(RTRIM(t.[FatherName])), '')) IS NOT NULL THEN LEFT(t.[FatherName], 1) + '.'
		ELSE ''
    END
FROM [AKUZ].T_WORKER t
GO


ENABLE TRIGGER [AKUZ].[WORKER_fio] ON [AKUZ].[T_WORKER]
GO